Subject: bug#59559: 28.1; `minibuffer-with-setup-hook' with :append

From: Eli Zaretskii <[email-masked]>
Date: Sun, 22 Jan 2023 07:58:35 +0200

> From: Michael Heerdegen <[email-masked]>
> Cc: Drew Adams <[email-masked]>,  [email-masked]
> Date: Sat, 21 Jan 2023 21:27:34 +0100
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > All of your suggestions just muddy the water, making a clear doc
> > string confusing and risking the user's interpreting that like some
> > kind of black magic is going on here.
> >
> > The current doc string is clear and easy to understand and use.
> 
> I don't think we will find a version that makes us all happy.  I was
> actually fine with the original version:
> 
> While the syntax of this macro is a bit unusual, with the background of
> the terminology used in the rest of Emacs the description allows only
> one interpretation: when we say that the argument (of a macro) is of a
> certain form, the unevaluated s-exp is meant.

Full agreement, my thoughts exactly.

> Else we explicitly say that the value or evaluation result should
> have certain properties.

That would require us to write a much more complex doc string in this
case, and then do the same for all the other macros we have.  So I
don't think this is a good idea.